@echo off
cls
rem makedisk batch file
rem created 6/23/99
rem last modified 10/24/01 VO
rem minimum requirements DOS 6.22 or NT 3.51 or Windows 95 or newer

rem Check available environment space
set env_chk=0123456789abcdef
if %env_chk% == 0123456789abcdef goto preprocess
goto env_bad

:preprocess
set env_chk=
if NOT "%_silent%" == "" goto env_ok
set _silent=TRUE
if "%2" == "silent" %0 %1
if "%2" == "SILENT" %0 %1
if "%1" == "silent" %0 %2
if "%1" == "SILENT" %0 %2
set _silent=FALSE

:env_ok
rem Check that OS (%1) and destination (%2) are supplied and valid
set dest=
if "%1" == "" set dest=A:
if "%1" == "A:" set dest=A:
if "%1" == "a:" set dest=A:
if "%1" == "A:\" set dest=A:
if "%1" == "a:\" set dest=A:
if "%1" == "B:" set dest=B:
if "%1" == "b:" set dest=B:
if "%1" == "B:\" set dest=B:
if "%1" == "b:\" set dest=B:
if "%dest%" == "" goto setdest
set _mdisk_floppy=TRUE
goto dest_ok

:setdest
set dest=%1
set _mdisk_floppy=FALSE
goto dest_ok

:dest_ok
if not exist ..\VERFILE.TIC goto wrongdir
goto valid

:valid
if "%dest%" == "A:" goto floppy
if "%dest%" == "B:" goto floppy
goto nofloppy

:nofloppy
set mode=nofloppy
cls
echo The destination you specified (%dest%) does not
echo appear to be a diskette. If you are trying to create a diskette,
echo press Control-C and answer Y. Then enter this command again, being sure
echo enter the drive letter without a trailing backslash (A: or B:).
echo.
echo If you do want the files copied to %dest%,
if "%_silent%" == "FALSE" pause
goto copyfiles

:floppy
set mode=floppy
cls
if exist %dest%\*.* echo !! THIS DISKETTE DOES NOT APPEAR TO BE FORMATTED !!
echo.
echo Please be sure that the disk in %dest% is 1.44 meg, formatted non-bootable and
echo has no pre-existing files. To format the diskette, press Control-C
echo and answer Y, then enter the command FORMAT %dest%. Otherwise,
if "%_silent%" == "FALSE" pause

:copyfiles
cls
echo.
echo This batch file will copy the Microsoft Windows 95
echo driver files to %dest%
echo.
echo press CTRL-C and answer Y if this is NOT correct, otherwise
if "%_silent%" == "FALSE" pause

cls
echo.
echo.
echo This batch file will copy the driver files for Microsoft
echo Windows 95 operating systems to %dest%
echo.
echo press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
if "%_silent%" == "FALSE" pause

cls
echo.
echo.
echo This batch file will copy the driver files for Microsoft
echo Windows 95 operating systems to %dest%
echo.
echo press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
if "%_silent%" == "FALSE" pause

cls
echo.
echo Copying files to %dest%
echo.

:testcopy
copy /v ..\net5579x.inf %dest%
if not exist %dest%\net5579x.inf goto NOCOPY
if exist ..\verfile.tic copy ..\verfile.tic %dest%
goto w9x_copyfile

:w9x_copyfile
rem Win95 specific files
copy /v ..\DOS\e100bodi.com %dest%
copy /v ..\Windows\Drivers\IA32\e100b.sys %dest%

rem 10/100 specific files
copy /v ..\net55a9x.inf %dest%
copy /v ..\E100BNT.SYS %dest%
copy /v ..\E100BNT5.SYS %dest%
copy /v ..\net82557.din %dest%

rem General files
copy /v ..\8255XDEL.EXE %dest%
copy /v ..\8255INDI.DLL %dest%
copy /v ..\WOL558.VXD %dest%
copy /v ..\Windows\Drivers\IA32\IntelNic.dll %dest%

echo. 
echo Base driver files and DOS diagnostic copied to diskette. 
echo Advanced Networking Features must be installed from
echo a CD-ROM drive, or over the network after a connection
echo to your network file service is established.
echo.

if "%_mdisk_floppy%" == "FALSE" goto end
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO LAN Adapter Configuration and
echo Microsoft Windows Drivers (Release # from your CD)
echo.
goto end

:NOCOPY
cls
echo.
echo Can not copy to %dest%.
echo Please check your syntax and try again
goto usage

:usage
echo.
echo usage rules:
echo MAKE95 [destination (optional)] [silent (optional)]
echo.
echo Where [destination] is the drive letter and path (such as A:)
echo and where [silent] = run in silent mode (does not pause for user input)
echo Do not add a trailing backslash (\) to the destination path.
echo [destination] (will be A: if none specified) is expected to be formatted media.
echo This utility MUST be run from the \MAKEDISK directory.
echo.
pause 
echo EXAMPLE:

echo To create a Windows 95 install diskette in A:, from the MAKEDISK directory run:
echo    MAKE95
echo.
pause
goto END

:env_bad
set env_chk=
cls
echo ERROR: Your computer does not have sufficient environment space to
echo run this batch file. Please increase the available environment space
echo and run this batch file again. To increase the avaiable environment
echo space, please do the following;
echo.
echo                                  DOS
echo If you are running DOS, edit the CONFIG.SYS file and find the statement
echo COMMAND=C:\(PATH)\COMMAND.COM /e:(number)
echo where (path) is the directory path to your COMMAND.COM file and (number)
echo is a numerical value. Increase the numerical value by at least 32.
echo If this line does not exist, add the following line;
echo COMMAND=C:\COMMAND.COM /E:512
echo Reboot the computer before running this batch file again.
echo.
echo                        Windows 2000 and Windows NT
echo Click Start, then Run, then enter "CMD /E:4096" (without the quotes) to
echo open a DOS window, and then re-run this batch file in that window.
echo.
echo                    Windows 95, Windows 98 and Windows ME
echo Click Start, then Run, then enter "COMMAND /E:4096" (without the quotes) to
echo open a DOS window, and then re-run this batch file in that window.
goto end

:END
set dest=
set mode=
set _silent=
set _mdisk_floppy=